Bug 140772 - [enhancement] proxy both tracker and other communications separately allowing http and socks
Summary: [enhancement] proxy both tracker and other communications separately allowing...
Status: RESOLVED FIXED
Alias: None
Product: ktorrent
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Ubuntu Packages Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: Joris Guisson
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-01-28 13:33 UTC by Micah Bucy
Modified: 2008-01-10 08:09 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Micah Bucy 2007-01-28 13:33:15 UTC
Version:           2.1rc1 (using KDE KDE 3.5.5)
Installed from:    Ubuntu Packages
OS:                Linux

I use ssh for my connection with an http proxy via local tunnel for http/https and socks proxy via dynamic tunnel for other tcp/udp connections  The tracker proxy is all set, what is needed is socks proxy capability for the torrent connections.  Azureus has probably the best of this implementation.  Would love to use ktorrent instead.
Comment 1 Micah Bucy 2007-01-28 13:34:22 UTC
just to note, KDE was installed through ubuntu packages, ktorrent was built from source tarball
Comment 2 Joris Guisson 2007-01-29 18:53:45 UTC
That will have to be added in 2.2
Comment 3 Hannes H 2007-09-20 00:50:09 UTC
I justed wanted to request the same feature :D

My ISP offers HTTP and SOCKS Proxies that allow usage of higher bandwidths and hide your identity (if you trust your ISP).

It would be really great if i could tunnel all traffic through one or both of these proxies.

Thanks a lot for your great work!
Comment 4 Joris Guisson 2007-12-17 20:16:43 UTC
SVN commit 749743 by guisson:

Changes :
- Added SOCKS support (v4 and v5, note: still need to do authentication for v5)
- Fixed some minor issues here and there

BUG: 140772



 M  +34 -1     ktorrent/btpref.ui  
 M  +8 -0      ktorrent/networkpref.cpp  
 M  +120 -2    ktorrent/networkpref.ui  
 M  +1 -0      libbtcore/CMakeLists.txt  
 M  +20 -0     libbtcore/mse/encryptedauthenticate.cpp  
 A             libbtcore/net/socks.cpp   [License: GPL (v2+)]
 A             libbtcore/net/socks.h   [License: GPL (v2+)]
 M  +76 -11    libbtcore/peer/authenticate.cpp  
 M  +7 -1      libbtcore/peer/authenticate.h  
 M  +5 -0      libktcore/interfaces/functions.cpp  
 M  +17 -1     libktcore/ktorrent.kcfg  


WebSVN link: http://websvn.kde.org/?view=rev&revision=749743
Comment 5 Hannes H 2008-01-09 21:14:27 UTC
Great!
I'll check out the new version as soon as its available for FreeBSD!

Can Proxy-Settings be configured individually or will ktorrent use KDE's / Konquerors Settings?
Comment 6 Joris Guisson 2008-01-10 08:09:51 UTC
SOCKS settings do not make use of the KDE configuration, so you have to configure it in ktorrent